Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.base
Class JRBaseBand

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseElementGroup
          net.sf.jasperreports.engine.base.JRBaseBand

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRBand, JRChild, JRCloneable, JRElementGroup, JRVisitable

    public class JRBaseBand

extends JRBaseElementGroup
implements JRBand, JRChangeEventsSupport

Used for implementing band functionality. A report can contain the following bands: background, title, summary, page header, page footer, last page footer, column header and column footer.

Version:
  $Id: JRBaseBand.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  `JRBaseSection`, Serialized Form

Field Summary
`protected int` | `height`
`protected JRExpression` | `printWhenExpression`
`static java.lang.String` | `PROPERTY_SPLIT_ALLOWED` Deprecated. Replaced by `PROPERTY_SPLIT_TYPE`.
`static java.lang.String` | `PROPERTY_SPLIT_TYPE`
`protected SplitTypeEnum` | `splitTypeValue`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElementGroup
`children, elementGroup`

Fields inherited from interface net.sf.jasperreports.engine.JRBand
`SPLIT_TYPE_IMMEDIATE, SPLIT_TYPE_PREVENT, SPLIT_TYPE_STRETCH`

Constructor Summary
`protected` | `JRBaseBand(JRBand band, JRBaseObjectFactory factory)`

Method Summary
`java.lang.Object` | `clone()`
`JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
`int` | `getHeight()`
`JRExpression` | `getPrintWhenExpression()` Returns the boolean expression that specifies if the band will be displayed.
`java.lang.Byte` | `getSplitType()` Deprecated. Replaced by `getSplitTypeValue()`.
`SplitTypeEnum` | `getSplitTypeValue()` Specifies the band split behavior.
`boolean` | `isSplitAllowed()` Deprecated. Replaced by `getSplitType()`.
`void` | `setSplitAllowed(boolean isSplitAllowed)` Deprecated. Replaced by `setSplitType(Byte)`.
`void` | `setSplitType(java.lang.Byte splitType)` Deprecated. Replaced by `setSplitType(SplitTypeEnum)`.
`void` | `setSplitType(SplitTypeEnum splitTypeValue)`

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElementGroup
`clone, getChildren, getElementByKey, getElementByKey, getElementGroup, getElements, getElements, visit`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRElementGroup
`getChildren, getElementByKey, getElementGroup, getElements`

Methods inherited from interface net.sf.jasperreports.engine.JRChild
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRVisitable
`visit`

Field Detail

### PROPERTY_SPLIT_ALLOWED

    public static final java.lang.String PROPERTY_SPLIT_ALLOWED

  Deprecated. Replaced by `PROPERTY_SPLIT_TYPE`.
  See Also:
    Constant Field Values

### PROPERTY_SPLIT_TYPE

    public static final java.lang.String PROPERTY_SPLIT_TYPE

See Also:
  Constant Field Values

### height

    protected int height

### splitTypeValue

    protected SplitTypeEnum splitTypeValue

### printWhenExpression

    protected JRExpression printWhenExpression

Constructor Detail

### JRBaseBand

    protected JRBaseBand(JRBand band,
                         JRBaseObjectFactory factory)

Method Detail

### getHeight

    public int getHeight()

  Specified by:
    `getHeight` in interface `JRBand`

### isSplitAllowed

    public boolean isSplitAllowed()

  Deprecated. Replaced by `getSplitType()`.

  Description copied from interface: `JRBand`
  Specifies if the band can be split between two pages.

  Specified by:
    `isSplitAllowed` in interface `JRBand`

### setSplitAllowed

    public void setSplitAllowed(boolean isSplitAllowed)

  Deprecated. Replaced by `setSplitType(Byte)`.

  Specified by:
    `setSplitAllowed` in interface `JRBand`

### getSplitType

    public java.lang.Byte getSplitType()

  Deprecated. Replaced by `getSplitTypeValue()`.

  Description copied from interface: `JRBand`
  Specifies the band split behavior.

  Specified by:
    `getSplitType` in interface `JRBand`

### getSplitTypeValue

    public SplitTypeEnum getSplitTypeValue()

  Description copied from interface: `JRBand`
  Specifies the band split behavior.

  Specified by:
    `getSplitTypeValue` in interface `JRBand`

### setSplitType

    public void setSplitType(java.lang.Byte splitType)

  Deprecated. Replaced by `setSplitType(SplitTypeEnum)`.

  Specified by:
    `setSplitType` in interface `JRBand`

### setSplitType

    public void setSplitType(SplitTypeEnum splitTypeValue)

  Specified by:
    `setSplitType` in interface `JRBand`

### getPrintWhenExpression

    public JRExpression getPrintWhenExpression()

  Description copied from interface: `JRBand`
  Returns the boolean expression that specifies if the band will be displayed.

  Specified by:
    `getPrintWhenExpression` in interface `JRBand`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `JRBaseElementGroup`

### getEventSupport

    public JRPropertyChangeSupport getEventSupport()

  Description copied from interface: `JRChangeEventsSupport`
  Returns the property change support object for this instance.

  Specified by:
    `getEventSupport` in interface `JRChangeEventsSupport`
  Returns:
    the property change support object for this instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com